extends Control

func _add_child_notify(child):
	print("Added: "+str(child.name))

func _remove_child_notify(child):
	print("Removed: "+str(child.name))

func _move_child_notify(child):
	print("Moved: "+str(child.name))
	
func _input(event):
	if event.is_action_pressed("ui_accept"):
		add_child(Control.new())
	if event.is_action_pressed("ui_cancel"):
		if get_child_count() == 0: return
		var lastNode = get_children()[-1]
		remove_child(lastNode)
		lastNode.queue_free()
	if event.is_action_pressed("ui_up"):
		var lastNode = get_children()[-1]
		move_child(lastNode, get_child_count() - 2)
